using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IDepartmentService
    {

        [OperationContract]
        Task<IEnumerable<DepartmentDto>> GetDepartmentsAsync(FilterDto filterDto);
        [OperationContract]
        Task<DepartmentDto> GetDepartmentByIdAsync(int id);
        [OperationContract]
        Task CreateDepartmentAsync(DepartmentDto userDto);
        [OperationContract]
        Task UpdateDepartmentAsync(DepartmentDto userDto);
        [OperationContract]
        Task DeleteDepartmentAsync(int id);

    }

}
